src/Entity/Recette.php
<?php

namespace App\Entity;

use App\Repository\RecetteRepository;
use Doctrine\Common\Collections\ArrayCollection;
use Doctrine\Common\Collections\Collection;
use Doctrine\ORM\Mapping as ORM;

/**
 * @ORM\Entity(repositoryClass=RecetteRepository::class)
 */
class Recette
{
    /**
     * @ORM\Id
     * @ORM\GeneratedValue
     * @ORM\Column(type="integer")
     */
    private $id;

    /**
     * @ORM\Column(type="string", length=255)
     */
    private $title;

    /**
     * @ORM\Column(type="text", nullable=true)
     */
    private $description;

    /**
     * @ORM\Column(type="integer", length=255)
     */
    private $nbPerson;

    /**
     * @ORM\ManyToOne(targetEntity=User::class, inversedBy="recettes")
     * @ORM\JoinColumn(nullable=false)
     */
    private $author;

    /**
     * @ORM\Column(type="time")
     */
    private $cookingTime;

    /**
     * @ORM\Column(type="time")
     */
    private $preparationTime;

    /**
     * @ORM\Column(type="string", length=10)
     */
    private $updated_at;

    /**
     * @ORM\OneToMany(targetEntity=Ingredient::class, mappedBy="recette")
     */
    private $ingredients;

    /**
     * @ORM\OneToMany(targetEntity=Etape::class, mappedBy="recette", orphanRemoval=true)
     */
    private $etapes;

    /**
     * @ORM\ManyToOne(targetEntity=Category::class, inversedBy="recettes")
     * @ORM\JoinColumn(nullable=false)
     */
    private $category;

    /**
     * @ORM\ManyToOne(targetEntity=Season::class, inversedBy="recettes")
     * @ORM\JoinColumn(nullable=false)
     */
    private $season;

    public function __construct()
    {
        $this->ingredients = new ArrayCollection();
        $this->etapes = new ArrayCollection();
    }

    public function getId(): ?int
    {
        return $this->id;
    }

    public function getTitle(): ?string
    {
        return $this->title;
    }

    public function setTitle(string $title): self
    {
        $this->title = $title;

        return $this;
    }

    public function getAuthor(): ?User
    {
        return $this->author;
    }

    public function setAuthor(?User $author): self
    {
        $this->author = $author;

        return $this;
    }

    public function getCookingTime(): ?\DateTimeInterface
    {
        return $this->cookingTime;
    }

    public function setCookingTime(\DateTimeInterface $cookingTime): self
    {
        $this->cookingTime = $cookingTime;

        return $this;
    }

    /**
     * @return Collection|Ingredient[]
     */
    public function getIngredients(): Collection
    {
        return $this->ingredients;
    }

    public function addIngredient(Ingredient $ingredient): self
    {
        if (!$this->ingredients->contains($ingredient)) {
            $this->ingredients[] = $ingredient;
            $ingredient->setRecette($this);
        }

        return $this;
    }

    public function removeIngredient(Ingredient $ingredient): self
    {
        if ($this->ingredients->removeElement($ingredient)) {
            // set the owning side to null (unless already changed)
            if ($ingredient->getRecette() === $this) {
                $ingredient->setRecette(null);
            }
        }

        return $this;
    }

    /**
     * @return Collection|Etape[]
     */
    public function getEtapes(): Collection
    {
        return $this->etapes;
    }

    public function addEtape(Etape $etape): self
    {
        if (!$this->etapes->contains($etape)) {
            $this->etapes[] = $etape;
            $etape->setRecette($this);
        }

        return $this;
    }

    public function removeEtape(Etape $etape): self
    {
        if ($this->etapes->removeElement($etape)) {
            // set the owning side to null (unless already changed)
            if ($etape->getRecette() === $this) {
                $etape->setRecette(null);
            }
        }

        return $this;
    }

    /**
     * @return mixed
     */
    public function getDescription()
    {
        return $this->description;
    }

    /**
     * @param mixed $description
     */
    public function setDescription($description): void
    {
        $this->description = $description;
    }

    public function getCategory(): ?Category
    {
        return $this->category;
    }

    public function setCategory(?Category $category): self
    {
        $this->category = $category;

        return $this;
    }

    public function getSeason(): ?Season
    {
        return $this->season;
    }

    public function setSeason(?Season $season): self
    {
        $this->season = $season;

        return $this;
    }

    /**
     * @return mixed
     */
    public function getNbPerson()
    {
        return $this->nbPerson;
    }

    /**
     * @param mixed $nbPerson
     */
    public function setNbPerson($nbPerson): void
    {
        $this->nbPerson = $nbPerson;
    }

    /**
     * @return mixed
     */
    public function getUpdatedAt()
    {
        return $this->updated_at;
    }

    /**
     * @param $updated_at
     */
    public function setUpdatedAt($updated_at): void
    {
        $this->updated_at = $updated_at;
    }

    /**
     * @return mixed
     */
    public function getPreparationTime()
    {
        return $this->preparationTime;
    }

    /**
     * @param mixed $preparationTime
     */
    public function setPreparationTime($preparationTime): void
    {
        $this->preparationTime = $preparationTime;
    }
}

src/Form/RecetteType.php
<?php

namespace App\Form;

use App\Entity\Category;
use App\Entity\Recette;
use App\Entity\Season;
use Symfony\Bridge\Doctrine\Form\Type\EntityType;
use Symfony\Component\Form\AbstractType;
use Symfony\Component\Form\Extension\Core\Type\ChoiceType;
use Symfony\Component\Form\Extension\Core\Type\CollectionType;
use Symfony\Component\Form\Extension\Core\Type\IntegerType;
use Symfony\Component\Form\Extension\Core\Type\NumberType;
use Symfony\Component\Form\Extension\Core\Type\SubmitType;
use Symfony\Component\Form\Extension\Core\Type\TextareaType;
use Symfony\Component\Form\Extension\Core\Type\TextType;
use Symfony\Component\Form\Extension\Core\Type\TimeType;
use Symfony\Component\Form\FormBuilderInterface;
use Symfony\Component\OptionsResolver\OptionsResolver;

class RecetteType extends AbstractType
{
    public function buildForm(FormBuilderInterface $builder, array $options)
    {
        $builder
            ->add('title', TextType::class, [
                'label' => 'Titre'
            ])
            ->add('cookingTime', TimeType::class, [
                'label' => 'Temps de cuisson',
            ])
            ->add('preparationTime', TimeType::class, [
                'label' => 'Temps de préparation',
            ])
            ->add('nbPerson', IntegerType::class, [
                'label' => 'Nombre de personnes'
            ])
            ->add('season', EntityType::class, [
                'class' => Season::class,
                'choice_label' => 'name',
                'label' => 'Saison',
            ])
            ->add('category', EntityType::class, [
                'class' => Category::class,
                'choice_label' => 'name',
                'label' => 'Catégorie',
            ])
            ->add('description', TextareaType::class, [
                'attr' => [
                    'placeholder' => 'Plat express, familiale...'
                ],
                'required' => false
            ])
            ->add('Enregistrer', SubmitType::class)
        ;
    }

    public function configureOptions(OptionsResolver $resolver)
    {
        $resolver->setDefaults([
            'data_class' => Recette::class,
        ]);
    }
}

src/Controller/RecetteController.php
<?php

namespace App\Controller;

use App\Entity\Etape;
use App\Entity\Ingredient;
use App\Entity\Recette;
use App\Form\EtapeType;
use App\Form\IngredientType;
use App\Form\RecetteType;
use App\Repository\RecetteRepository;
use Symfony\Bundle\FrameworkBundle\Controller\AbstractController;
use Symfony\Component\HttpFoundation\Request;
use Symfony\Component\HttpFoundation\Response;
use Symfony\Component\Routing\Annotation\Route;
use Symfony\Component\Validator\Constraints\Date;

/**
 * @Route("/recette")
 */
class RecetteController extends AbstractController
{
    /**
     * @Route("/", name="recette_index", methods={"GET"})
     */
    public function index(RecetteRepository $recetteRepository): Response
    {
        return $this->render('recette/index.html.twig', [
            'entrees' => $recetteRepository->findByCategory('Entrée'),
            'plats' => $recetteRepository->findByCategory('Plat'),
            'desserts' => $recetteRepository->findByCategory('Dessert'),
            'currentUser' => $this->getUser()
        ]);
    }

    /**
     * @Route("/creation/titre", name="recette_new_title", methods={"GET","POST"})
     */
    public function newTitle(Request $request): Response
    {
        $recette = new Recette();
        $formRecette = $this->createForm(RecetteType::class, $recette);
        $formRecette->handleRequest($request);
        if ($formRecette->isSubmitted() && $formRecette->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $recette->setAuthor($this->getUser());
            $recette->setUpdatedAt(date('d/m/Y'));
            $entityManager->persist($recette->getCategory());
            $entityManager->persist($recette->getSeason());
            $entityManager->persist($recette);
            $entityManager->flush();

            return $this->redirectToRoute('recette_edit', ['id'=>$recette->getId()]);
        }

        return $this->render('recette/new_title.html.twig', [
            'recette' => $recette,
            'formRecette' => $formRecette->createView(),
        ]);
    }

    /**
     * @Route("/{id}/ingredients", name="recette_new_ingredients", methods={"GET","POST"})
     */
    public function newIngredient(Request $request, Recette $recette): Response
    {
        $ingredient = new Ingredient();
        $formIngredient = $this->createForm(IngredientType::class, $ingredient);
        $formIngredient->handleRequest($request);
        if ($formIngredient->isSubmitted() && $formIngredient->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $recette->addIngredient($ingredient);
            $entityManager->persist($ingredient);
            $entityManager->flush();

            return $this->redirectToRoute('recette_new_ingredients', ['id'=>$recette->getId()]);
        }

        return $this->render('recette/new_ingredient.html.twig', [
            'recette' => $recette,
            'formIngredient' => $formIngredient->createView(),
        ]);
    }

    /**
     * @Route("/{id}/etapes/{idEtape?}", name="recette_new_etapes", methods={"GET","POST"})
     * @param Request $request
     * @param Recette $recette
     * @return Response
     */
    public function newEtape(Request $request, Recette $recette, ?int $idEtape): Response
    {
        $etape = $idEtape
            ? $this->getDoctrine()
                ->getRepository(Etape::class)
                ->find($idEtape)
            : new Etape();
        $formEtape = $this->createForm(EtapeType::class, $etape);
        $formEtape->handleRequest($request);
        if ($formEtape->isSubmitted() && $formEtape->isValid()) {
            $entityManager = $this->getDoctrine()->getManager();
            $etape->setContent(nl2br($etape->getContent()));
            $recette->addEtape($etape);
            $entityManager->persist($etape);
            $entityManager->flush();

            return $this->redirectToRoute('recette_new_etapes', ['id'=>$recette->getId()]);
        }

        return $this->render('recette/new_etape.html.twig', [
            'recette' => $recette,
            'formEtape' => $formEtape->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="recette_show", methods={"GET"})
     */
    public function show(Recette $recette): Response
    {
        return $this->render('recette/show.html.twig', [
            'recette' => $recette,
        ]);
    }

    /**
     * @Route("/{id}/edit", name="recette_edit", methods={"GET","POST"})
     */
    public function edit(Request $request, Recette $recette): Response
    {
        $form = $this->createForm(RecetteType::class, $recette);
        $form->handleRequest($request);

        if ($form->isSubmitted() && $form->isValid()) {
            $recette->setUpdatedAt(date('d/m/Y'));
            $this->getDoctrine()->getManager()->flush();

            return $this->redirectToRoute('recette_edit', ['id'=>$recette->getId()]);
        }

        return $this->render('recette/edit.html.twig', [
            'recette' => $recette,
            'formRecette' => $form->createView(),
        ]);
    }

    /**
     * @Route("/{id}", name="recette_delete", methods={"DELETE"})
     */
    public function delete(Request $request, Recette $recette): Response
    {
        if ($this->isCsrfTokenValid('delete'.$recette->getId(), $request->request->get('_token'))) {
            $entityManager = $this->getDoctrine()->getManager();
            $entityManager->remove($recette);
            $entityManager->flush();
        }

        return $this->redirectToRoute('recette_index');
    }

    /**
     * @Route("/search", name="recette_search", methods={"GET","POST"})
     */
    public function search(Request $request): Response
    {
        if ($this->isCsrfTokenValid('search', $request->request->get('_token'))) {
            $keyword = $request->request->get('keyword');
            $recettes = $this->getDoctrine()->getRepository(Recette::class)->findByKeyword($keyword);
            return $this->render('recette/search_result.twig', [
                'recettes' => $recettes,
                'keyword' => $keyword
            ]);
        }
    }
}

templates/recette/layout/card_index.html.twig
<style>
    .list-group-item {
        color: darkgray;
    }
    a:hover {
        text-decoration: none;
    }
    a{
        color: inherit;
    }
    .card:hover {
        cursor: pointer;
    }
</style>
<a data-toggle="modal" data-target="#recette{{ recette.id }}">
    <div class="card" id="card_index">
        <div class="card-header">
            <h2>{{ recette.title }}</h2>
            <small class="text-muted"> {{ recette.description }}</small>
        </div>
        <div class="card-body">
            <div class="row">
                <div class="col-6">
                    <div class="row">
                        <div class="col pb-3">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-clock-o" aria-hidden="true"></i> {{ recette.preparationTime.format('H\\h i\\m') }}</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col pb-3">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-free-code-camp" aria-hidden="true"></i> {{ recette.cookingTime.format('H\\h i\\m') }}</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col pb-3">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-cutlery" aria-hidden="true"></i> {{ recette.category.name }}</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col pb-3">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-sun-o" aria-hidden="true"></i> {{ recette.season.name }}</div>
                        </div>
                    </div>
                    <div class="row">
                        <div class="col pb-3">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-user" aria-hidden="true"></i> {{ recette.nbPerson }}</div>
                        </div>
                    </div>
                </div>
                <div class="col-6">
                    <div class="row">
                        <div class="col">
                            <span class="bs-stepper-circle bg-info text-black-50">{{ recette.ingredients.count }}</span> ingrédients
                        </div>
                    </div>
                    <div class="row">
                        <div class="col mt-5">
                            <span class="bs-stepper-circle bg-info text-black-50">{{ recette.etapes.count }}</span> étapes
                        </div>
                    </div>

                </div>
            </div>
        </div>
        <div class="card-footer">
            <div class="row">
                <div class="col-6 text-left">
                    <span class="text-muted small font-italic">Mis à jour le {{ recette.updatedAt }}</span>
                </div>
                <div class="col-6 text-right">
                    <span class="text-muted small font-italic">{{ recette.author.firstname }} {{ recette.author.lastname }}</span>
                </div>
            </div>
        </div>
    </div>
</a>
{{ include('recette/layout/card_modal.html.twig') }}

templates/recette/layout/card_modal.html.twig
<div class="modal fade" id="recette{{ recette.id }}" tabindex="-1" aria-labelledby="exampleModalLabel" aria-hidden="true">
    <div class="modal-dialog modal-xl">
        <div class="modal-content">
            <div class="card">
                <div class="card-header">
                    <h2>{{ recette.title }}</h2>
                    <small class="text-muted"> {{ recette.description }}</small>
                    <button type="button" class="close" data-dismiss="modal" aria-label="Close">
                        <span aria-hidden="true">&times;</span>
                    </button>
                </div>
                <div class="card-body">
                    <div class="row">
                        <div class="col pb-3 text-center">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-clock-o" aria-hidden="true"></i> {{ recette.preparationTime.format('H\\h i\\m') }}</div>
                        </div>
                        <div class="col pb-3 text-center">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-free-code-camp" aria-hidden="true"></i> {{ recette.cookingTime.format('H\\h i\\m') }}</div>
                        </div>
                        <div class="col pb-3 text-center">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-cutlery" aria-hidden="true"></i> {{ recette.category.name }}</div>
                        </div>
                        <div class="col pb-3 text-center">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-sun-o" aria-hidden="true"></i> {{ recette.season.name }}</div>
                        </div>
                        <div class="col pb-3 text-center">
                            <div class="d-inline-block h-100 align-middle"><i class="text-info fa fa-user" aria-hidden="true"></i> <span id="nbPerson_{{ recette.id }}">{{ recette.nbPerson }}</span> <a title="Ajouter une personne" id="morePerson_{{ recette.id }}" href="#"><i class="fa fa-plus" aria-hidden="true"></i></a> <a id="lessPerson_{{ recette.id }}" title="Enlever une personne" href="#"><i class="fa fa-minus" aria-hidden="true"></i></a></div>
                        </div>
                    </div>
                    <div class="row pt-5">
                        <div class="col-lg-4 col-sm-12 border-right mb-5">
                            <ul class="list-group list-group-flush">
                                {% for ingredient in recette.ingredients %}
                                <li class="list-group-item">
                                    <span style="font-size: 1.2em" class="quantity_{{ recette.id }}">{{ ingredient.quantity}}</span> {{ ingredient.content | raw}}
                                </li>
                               {% endfor %}
                            </ul>
                        </div>
                        <div class="col-lg-8 col-sm-12">
                            <ol class="recipe-preparation__list">
                                {% for etape in recette.etapes %}
                                <li class="recipe-preparation__list__item">
                                    <span>{{ etape.content | raw}}</span>
                                </li>
                               {% endfor %}
                            </ol>
                        </div>
                    </div>
                </div>
                <div class="card-footer">
                    <div class="row">
                        <div class="col-6 text-left">
                            <span class="text-muted small font-italic">Mis à jour le {{ recette.updatedAt }}</span>
                            <a class="text-muted small font-italic font-weight-bold" href="{{ path('recette_edit', {id: recette.id}) }}">Editer</a>
                        </div>
                        <div class="col-6 text-right">
                            <span class="text-muted small font-italic">{{ recette.author.firstname }} {{ recette.author.lastname }}</span>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>
<script>
    window.addEventListener('DOMContentLoaded', (event) => {
        const lessPerson = document.getElementById('lessPerson_{{ recette.id }}')
        const nbPerson = document.getElementById('nbPerson_{{ recette.id }}')
        const nbBase = parseInt(nbPerson.innerHTML)
        const quantityBase = []
        document.querySelectorAll('.quantity_{{ recette.id }}').forEach((quantity) => {
            quantityBase.push(parseInt(quantity.innerHTML))
        })
        document.getElementById('morePerson_{{ recette.id }}').addEventListener("click", (event) => {
            event.preventDefault();
            const nbUpdated = parseInt(nbPerson.innerHTML)
            nbPerson.innerHTML = (nbUpdated + 1).toString()
            updateIngredients(nbUpdated + 1)
        })
        lessPerson.addEventListener("click", (event) => {
            event.preventDefault();
            if (parseInt(nbPerson.innerHTML) > 1) {
                const nbUpdated = parseInt(nbPerson.innerHTML)
                nbPerson.innerHTML = (nbUpdated - 1).toString()
                updateIngredients(nbUpdated - 1)
            }
        })
        function updateIngredients(nbNew) {
            document.querySelectorAll('.quantity_{{ recette.id }}').forEach((quantity, idx) => {
                let newQuantity = (nbNew * parseInt(quantityBase[idx]) / nbBase)
                newQuantity = Number.isInteger(newQuantity) ? newQuantity : newQuantity.toFixed(1)
                quantity.innerHTML = newQuantity.toLocaleString('fr')
            })
        }
    });
</script>

templates/recette/layout/card_show.html.twig
<style>

    .card {
        box-shadow: 20px 20px rgba(0,0,0,.03);
    }
</style>
<div class="card">
    <div class="card-header">
        <h2>{{ recette.title }}</h2>
        <small class="text-muted"> {{ recette.description }}</small>
    </div>
    <div class="card-body">
        <div class="row">
            <div class="col-2 pb-3 text-center">
                <i class="text-info fa fa-clock-o" aria-hidden="true"></i> {{ recette.preparationTime.format('H\\h i\\m') }}
            </div>
            <div class="col-2 pb-3 text-center">
                <i class="text-info fa fa-free-code-camp" aria-hidden="true"></i> {{ recette.cookingTime.format('H\\h i\\m') }}
            </div>
            <div class="col-2 pb-3 text-center">
                <i class="text-info fa fa-cutlery" aria-hidden="true"></i> {{ recette.category.name }}
            </div>
            <div class="col-2 pb-3 text-center">
                <i class="text-info fa fa-sun-o" aria-hidden="true"></i> {{ recette.season.name }}
            </div>
            <div class="col-2 pb-3 text-center">
                <i class="text-info fa fa-user" aria-hidden="true"></i> {{ recette.nbPerson }}
            </div>
        </div>
        <div class="row pt-5">
            <div class="col-lg-4 col-sm-12 border-right mb-5">
                <ul class="list-group list-group-flush">
                    {% for ingredient in recette.ingredients %}
                    <li class="list-group-item">
                        {{ ingredient.quantity }} {{ ingredient.content | raw}}
                        <span class="float-right" title="Effacer l'ingrédient">
                            {{ include('ingredient/_delete_form.html.twig') }}
                        </span>
                    </li>
                   {% endfor %}
                </ul>
            </div>
            <div class="col-lg-8 col-sm-12">
                <ol class="recipe-preparation__list">
                    {% for etape in recette.etapes %}
                    <li class="recipe-preparation__list__item">
                        <span>{{ etape.content | raw}}</span>
                        <span class="float-right" title="Effacer l'étape">
                            {{ include('etape/_delete_form.html.twig') }}
                        </span>
                        <span class="float-right mr-3">
                            <a href="{{ path('recette_new_etapes', {id: recette.id, idEtape: etape.id}) }}" class="btn" title="Modifier l'étape">
                                <i class="fa fa-pencil-square-o" aria-hidden="true"></i>
                            </a>
                        </span>
                    </li>
                   {% endfor %}
                </ol>
            </div>
        </div>
    </div>
    <div class="card-footer">
        <div class="row">
            <div class="col-6 text-left">
                <span class="text-muted small font-italic">Mis à jour le {{ recette.updatedAt }}</span>
            </div>
            <div class="col-6 text-right">
                <span class="text-muted small font-italic">{{ recette.author.firstname }} {{ recette.author.lastname }}</span>
            </div>
        </div>
    </div>
</div>

templates/recette/layout/stepper.html.twig
<style>
    #stepper a {
        color: black;
    }
    #stepper a:visited {
        color: inherit;
    }
    #stepper a:hover {
        text-decoration: none;
        font-weight: bold;
    }
</style>
{% set currentPath = path(app.request.attributes.get('_route'), app.request.attributes.get('_route_params'))|split('/')[3]  %}
<div id="stepper" class="bs-stepper">
    <div class="bs-stepper-header">
        <div class="step" data-target="#test-l-1">
            <a href={{ (currentPath == 'titre') ? path('recette_new_title') : path('recette_edit', {id: recette.id}) }}>
                <span class="bs-stepper-circle">1</span>
                <span class="bs-stepper-label {{ (currentPath=='edit' or currentPath == 'titre') ? 'font-weight-bold text-info' : ''}} ">Information</span>
            </a>
        </div>
        <div class="line"></div>
        <div class="step" data-target="#test-l-2">
            <a href="{{ (currentPath == 'titre') ? path('recette_new_ingredients',{id: 0}) : path('recette_new_ingredients', {id: recette.id}) }}">
                <span class="bs-stepper-circle">2</span>
                <span class="bs-stepper-label {{ (currentPath=='ingredients') ? 'font-weight-bold text-info' : ''}}">Ingrédients</span>
            </a>
        </div>
        <div class="line"></div>
        <div class="step" data-target="#test-l-3">
            <a href="{{ (currentPath == 'titre') ? path('recette_new_etapes', {id: 0}) : path('recette_new_etapes', {id: recette.id}) }}">
                <span class="bs-stepper-circle">3</span>
                <span class="bs-stepper-label {{ (currentPath=='etapes') ? 'font-weight-bold text-info' : ''}}">Etapes</span>
            </a>
        </div>
    </div>
    <div class="bs-stepper-content">
        <div id="test-l-1" class="content">
            <p class="text-center">test 1</p>
            <button class="btn btn-primary" onclick="myStepper.next()">Next</button>
        </div>
        <div id="test-l-2" class="content">
            <p class="text-center">test 2</p>
            <button class="btn btn-primary" onclick="myStepper.next()">Next</button>
        </div>
        <div id="test-l-3" class="content">
            <p class="text-center">test 3</p>
            <button class="btn btn-primary" onclick="myStepper.next()">Next</button>
            <button class="btn btn-primary" onclick="myStepper.previous()">Previous</button>
        </div>
    </div>
</div>

{% block javascripts%}
    <script>
        document.addEventListener('DOMContentLoaded', function () {
            myStepper = new Stepper(document.querySelector('#stepper'))
        })
    </script>
{% endblock %}